public static interface BoxEndpointBuilderFactory.BoxBuilders
| Modifier and Type | Method and Description |
|---|---|
default BoxEndpointBuilderFactory.BoxEndpointBuilder |
box(String path)
Box (camel-box)
Upload, download and manage files, folders, groups, collaborations,
etc.
|
default BoxEndpointBuilderFactory.BoxEndpointBuilder |
box(String componentName,
String path)
Box (camel-box)
Upload, download and manage files, folders, groups, collaborations,
etc.
|
default BoxEndpointBuilderFactory.BoxEndpointBuilder box(String path)
box:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
The value can be one of: COLLABORATIONS, COMMENTS, EVENT_LOGS, FILES,
FOLDERS, GROUPS, EVENTS, SEARCH, TASKS, USERS
Path parameter: methodName (required)
What sub operation to use for the selected operationpath - apiName/methodNamedefault BoxEndpointBuilderFactory.BoxEndpointBuilder box(String componentName, String path)
box:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
The value can be one of: COLLABORATIONS, COMMENTS, EVENT_LOGS, FILES,
FOLDERS, GROUPS, EVENTS, SEARCH, TASKS, USERS
Path parameter: methodName (required)
What sub operation to use for the selected operationcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel